## org.eclipse.datatools.sqltools.routineeditor.ui
Class RoutineEditorUIActivator

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.ui.plugin.AbstractUIPlugin
              org.eclipse.datatools.sqltools.routineeditor.ui.RoutineEditorUIActivator

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class RoutineEditorUIActivator

extends org.eclipse.ui.plugin.AbstractUIPlugin

The activator class controls the plug-in life cycle

Field Summary
`static java.lang.String` `PLUGIN_ID`

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`RoutineEditorUIActivator()` The constructor

Method Summary
`org.eclipse.core.runtime.IStatus` `createErrorStatus(java.lang.String message)`
`org.eclipse.core.runtime.IStatus` `createErrorStatus(java.lang.String message, java.lang.Throwable e)`
`org.eclipse.core.runtime.IStatus` `createErrorStatus(java.lang.Throwable e)`
`static RoutineEditorUIActivator` `getDefault()` Returns the shared instance
`static org.eclipse.jface.resource.ImageDescriptor` `getImageDescriptor(java.lang.String path)` Returns an image descriptor for the image file at the given plug-in relative path.
`static org.eclipse.swt.widgets.Display` `getStandardDisplay()` Returns the standard display to be used.
`void` `log(org.eclipse.core.runtime.IStatus status)` Logs runtime status.
`void` `log(java.lang.String message)` Logs error message.
`void` `log(java.lang.String message, java.lang.Throwable e)` Logs an error message with an exception.
`void` `log(java.lang.Throwable e)` Logs and exception.
`void` `start(org.osgi.framework.BundleContext context)`
`void` `stop(org.osgi.framework.BundleContext context)`

Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin
`getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, shutdown, startup`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

Constructor Detail

### RoutineEditorUIActivator

    public RoutineEditorUIActivator()

  The constructor

Method Detail

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `start` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
  Throws:
    `java.lang.Exception`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `stop` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
  Throws:
    `java.lang.Exception`

### getDefault

    public static RoutineEditorUIActivator getDefault()

  Returns the shared instance

  Returns:
    the shared instance

### getStandardDisplay

    public static org.eclipse.swt.widgets.Display getStandardDisplay()

  Returns the standard display to be used. The method first checks, if the thread calling this method has an associated dispaly. If so, this display is returned. Otherwise the method returns the default display.

### getImageDescriptor

    public static org.eclipse.jface.resource.ImageDescriptor getImageDescriptor(java.lang.String path)

  Returns an image descriptor for the image file at the given plug-in relative path.

  Parameters:
    `path` - the path
  Returns:
    the image descriptor

### log

    public void log(org.eclipse.core.runtime.IStatus status)

  Logs runtime status.

  Parameters:
    `status` - Runtime status.

### log

    public void log(java.lang.String message)

  Logs error message.

  Parameters:
    `message` - Error message.

### log

    public void log(java.lang.Throwable e)

  Logs and exception.

  Parameters:
    `e` - Exception.

### createErrorStatus

    public org.eclipse.core.runtime.IStatus createErrorStatus(java.lang.String message)

### createErrorStatus

    public org.eclipse.core.runtime.IStatus createErrorStatus(java.lang.Throwable e)

### createErrorStatus

    public org.eclipse.core.runtime.IStatus createErrorStatus(java.lang.String message,
                                                              java.lang.Throwable e)

### log

    public void log(java.lang.String message,
                    java.lang.Throwable e)

  Logs an error message with an exception.

  Parameters:
    `e` - Exception.